For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
            • GETList Shopping Lists
            • POSTCreate Shopping List
            • GETGet Shopping List
            • PUTUpdate Shopping List
            • DELDelete Shopping List
            • DELDelete Shopping List Item
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementShopping List

Delete Shopping List Item

DELETE
https://api-b2b.bigcommerce.com/api/v3/io/shopping-list/:shoppingListId/items/:itemId
DELETE
/api/v3/io/shopping-list/:shoppingListId/items/:itemId
$curl -X DELETE https://api-b2b.bigcommerce.com/api/v3/io/shopping-list/shoppingListId/items/itemId \
> -H "X-Auth-Token: <apiKey>"
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {}
5}
Delete a shopping list item
Was this page helpful?
Previous

Delete Shopping List

Next

Super Admin

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

shoppingListIdstringRequired
itemIdstringRequired

Response

OK
codedouble
messagestring
dataobject

Errors

404
Not Found Error